Bug 1126449 - libcomps: segfault when parsing XML
Summary: libcomps: segfault when parsing XML
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libcomps
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Luza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 13:02 UTC by Mikolaj Izdebski
Modified: 2014-08-15 02:31 UTC (History)
1 user (show)

Fixed In Version: libcomps-0.1.6-13.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 02:31:18 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-08-04 13:02:42 UTC
Description of problem:
libcomps segfaults when trying to parse comps XML.

Version-Release number of selected component (if applicable):
0.1.6-99.963.20140605gite8c2d8315b1d10e35461450235dac9da267ecb2d

Steps to Reproduce:
$ cat reproducer.py
import libcomps
comps = libcomps.Comps()
comps.fromxml_str("foo")

Actual results:
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff03d444f in __comps_after_parse () from /lib64/libcomps.so.0.1.6

Additional info:
(gdb) bt
#0  0x00007ffff03d444f in __comps_after_parse () from /lib64/libcomps.so.0.1.6
#1  0x00007ffff03d465e in comps_parse_str () from /lib64/libcomps.so.0.1.6
#2  0x00007ffff05ef9d8 in PyCOMPS_fromxml_str () from /usr/lib64/python2.7/site-packages/libcomps/_libpycomps.so
#3  0x00007ffff7af7bd4 in PyEval_EvalFrameEx () from /lib64/libpython2.7.so.1.0
#4  0x00007ffff7af91ed in PyEval_EvalCodeEx () from /lib64/libpython2.7.so.1.0
#5  0x00007ffff7af92f2 in PyEval_EvalCode () from /lib64/libpython2.7.so.1.0
#6  0x00007ffff7b1272f in ?? () from /lib64/libpython2.7.so.1.0
#7  0x00007ffff7b138ee in PyRun_FileExFlags () from /lib64/libpython2.7.so.1.0
#8  0x00007ffff7b14b79 in PyRun_SimpleFileExFlags () from /lib64/libpython2.7.so.1.0
#9  0x00007ffff7b25b9f in Py_Main () from /lib64/libpython2.7.so.1.0
#10 0x00007ffff6d4ed65 in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400721 in _start ()

Comment 1 Mikolaj Izdebski 2014-08-04 13:03:59 UTC
(In reply to Mikolaj Izdebski from comment #0)
> Steps to Reproduce:
> $ cat reproducer.py
> import libcomps
> comps = libcomps.Comps()
> comps.fromxml_str("foo")

And of course run the reproducer:
$ python reproducer.py

Comment 2 Fedora Update System 2014-08-06 10:08:07 UTC
libcomps-0.1.6-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libcomps-0.1.6-13.fc20

Comment 3 Fedora Update System 2014-08-07 15:29:23 UTC
Package libcomps-0.1.6-13.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libcomps-0.1.6-13.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9197/libcomps-0.1.6-13.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-08-15 02:31:18 UTC
libcomps-0.1.6-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.